Commit 5f1dfb7e authored by Andre Freyssinet's avatar Andre Freyssinet

Updates Jetty and Jersey versions (resp. 9.4.38 and 2.33).

Adds jetty-util-ajax needed with new Jetty version.
Updates Felix Http service to 4.1.6 (including Jetty 9.4.38).
parent 384d4c6e
......@@ -86,6 +86,7 @@
<include>org.eclipse.jetty:jetty-continuation</include>
<include>org.eclipse.jetty:jetty-io</include>
<include>org.eclipse.jetty:jetty-util</include>
<include>org.eclipse.jetty:jetty-util-ajax</include>
<include>org.eclipse.jetty:jetty-security</include>
<include>org.eclipse.jetty:jetty-server</include>
<include>org.eclipse.jetty:jetty-servlet</include>
......
......@@ -378,6 +378,10 @@
<groupId>org.eclipse.jetty</groupId>
<artifactId>jetty-util</artifactId>
</dependency>
<dependency>
<groupId>org.eclipse.jetty</groupId>
<artifactId>jetty-util-ajax</artifactId>
</dependency>
<dependency>
<groupId>org.eclipse.jetty</groupId>
<artifactId>jetty-security</artifactId>
......
......@@ -240,7 +240,7 @@
<felix.shell.version>1.4.3</felix.shell.version>
<felix.remote.version>1.2.0</felix.remote.version>
<felix.tui.version>1.4.1</felix.tui.version>
<!-- -->
<!-- Gogo Shell -->
<felix.gogo.runtime.version>1.1.4</felix.gogo.runtime.version>
<felix.gogo.command.version>1.1.2</felix.gogo.command.version>
<felix.gogo.shell.version>1.1.4</felix.gogo.shell.version>
......@@ -267,12 +267,16 @@
<junit.vintage.version>${junit.version}.0</junit.vintage.version>
<junit.platform.version>1.0.0</junit.platform.version>
<jersey.version>2.30.1</jersey.version>
<jetty.version>9.4.28.v20200408</jetty.version>
<!-- <jersey.version>2.30.1</jersey.version> -->
<jersey.version>2.33</jersey.version>
<!-- <jetty.version>9.4.28.v20200408</jetty.version> -->
<jetty.version>9.4.38.v20210224</jetty.version>
<felix.http.servlet-api.version>1.1.2</felix.http.servlet-api.version>
<felix.http.jetty.version>4.0.18</felix.http.jetty.version>
<!-- <felix.http.jetty.version>4.0.18</felix.http.jetty.version> -->
<felix.http.jetty.version>4.1.6</felix.http.jetty.version>
<gson.version>2.5</gson.version>
<geronimo-servlet_3.0_spec.version>1.0</geronimo-servlet_3.0_spec.version>
<!-- No longer used
<geronimo-servlet_3.0_spec.version>1.0</geronimo-servlet_3.0_spec.version> -->
</properties>
<organization>
......@@ -292,8 +296,12 @@
<name>Nicolas Tachker</name>
<email>nicolas.tachker@scalagent.com</email>
</developer>
<developer>
<id>lacourte</id>
<name>Serge Lacourte</name>
<email>serge.lacourte@scalagent.com</email>
</developer>
</developers>
<!-- Preferred dependencies version -->
<dependencyManagement>
......@@ -381,8 +389,7 @@
<groupId>junit</groupId>
<artifactId>junit</artifactId>
<version>${junit.version}</version>
</dependency>
-->
</dependency> -->
<dependency>
<groupId>org.junit.jupiter</groupId>
<artifactId>junit-jupiter-api</artifactId>
......@@ -445,6 +452,11 @@
<artifactId>jetty-util</artifactId>
<version>${jetty.version}</version>
</dependency>
<dependency>
<groupId>org.eclipse.jetty</groupId>
<artifactId>jetty-util-ajax</artifactId>
<version>${jetty.version}</version>
</dependency>
<dependency>
<groupId>org.eclipse.jetty</groupId>
<artifactId>jetty-security</artifactId>
......
......@@ -675,6 +675,10 @@
<groupId>org.eclipse.jetty</groupId>
<artifactId>jetty-util</artifactId>
</dependency>
<dependency>
<groupId>org.eclipse.jetty</groupId>
<artifactId>jetty-util-ajax</artifactId>
</dependency>
<dependency>
<groupId>org.eclipse.jetty</groupId>
<artifactId>jetty-security</artifactId>
......
......@@ -87,6 +87,7 @@
<include>org.eclipse.jetty:jetty-continuation</include>
<include>org.eclipse.jetty:jetty-io</include>
<include>org.eclipse.jetty:jetty-util</include>
<include>org.eclipse.jetty:jetty-util-ajax</include>
<include>org.eclipse.jetty:jetty-security</include>
<include>org.eclipse.jetty:jetty-server</include>
<include>org.eclipse.jetty:jetty-servlet</include>
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment